Can't watch video on GDC Vault.

NEW
Unassigned

Status

Tech Evangelism
Desktop
P3
normal
4 years ago
11 months ago

People

(Reporter: bwinton, Unassigned)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [clientsniff] [contactready], URL)

(Reporter)

Description

4 years ago
When I try to go to http://www.gdcvault.com/play/1020878/Designing-Monument-Valley-Less-Game it says "This content requires an HTML5 compatible browser / device, including Webkit, or the Adobe Flash Player plugin installed", but I'm pretty sure Firefox Nightly is an HTML5 compatible browser…  ;)

(The message is displayed in a iframe from http://evt.dispeak.com/ubm/gdc/eur14/player.html?xml=201408829016_WYHY.xml&token=3c6c000ab0766078310c so perhaps it's them we have to talk to?)
http://evt.dispeak.com/ubm/gdc/eur14/lib/gdc-eur14-1.js simply assumes that only WebKit-based browsers are HTML5 compatible:


          if ( (typeof Ext.browser == 'undefined') || (typeof Ext.browser.is == 'undefined') || (!Ext.browser.is.WebKit)) {
          // no webkit present either

          var alternateContent = '<br/><br/>This content requires an HTML5 compatible browser, or the Adobe Flash Player plugin installed.<br/><br/> '
          + '&nbsp;&nbsp;<a href=http://www.adobe.com/go/getflash/>Get Flash</a>';
          document.write(alternateContent);  // insert non-flash content

          }
Whiteboard: [clientsniff] [contactready]
Still an issue.
Priority: -- → P3
You need to log in before you can comment on or make changes to this bug.